format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/3795


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 8bcc165
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 5bb52f6f2024abe277872ed52cab372b5a0714ea
    - input_file: 'b-partial-2.diff'
      commit_sha1: 4cbd6405664acaae135fb8fa56c64491349a3b16
    - input_file: 'b-partial-3.diff'
      commit_sha1: d99065fd9a2db4d082bda9b423eef10fd40954d5
    - input_file: 'b-partial-4.diff'
      commit_sha1: bda420b0631dc07ef34bfa6cc1b34e0618821ef0
    - input_file: 'b-partial-5.diff'
      commit_sha1: 32203c905252846d2c7ceac2bc74c99ce2605fec
    - input_file: 'b-partial-6.diff'
      commit_sha1: 65807ed7c29eed449cd6f673e21b5c2f75285084
    - input_file: 'b-partial-7.diff'
      commit_sha1: 7dabdaa50ac0c39ca49394918fbc84c228cb2021

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: e608884f0ed690377c45e40d1a221fb962482a0a

options:
  language: C
